/*******************************************************************\

              Copyright (C) 2003 Joseph Coffland

    This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
        of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
             GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
                           02111-1307, USA.

            For information regarding this software email
                   jcofflan@users.sourceforge.net

\*******************************************************************/

#include <xercesc/util/PlatformUtils.hpp>
XERCES_CPP_NAMESPACE_USE;

#include <XercesUtils/XercesStr.h>
#include <BasicUtils/BasicException.h>

#include <iostream>
using namespace std;

extern int testMain(int argc, char *argv[]);

int main(int argc, char *argv[]) {
  try {
    XMLPlatformUtils::Initialize();
  }

  catch (const XMLException &e) {
    cerr << "Error during initialization! :\n"
	 << XercesStr(e.getMessage()) << endl;
    return 1;
  }

  int retCode;
  try {

    retCode = testMain(argc, argv);

  } catch (BasicException &e) {
    cout << endl << "BasicException: " << e.getMessage() << endl;
    XMLPlatformUtils::Terminate();
    return 1;

  } catch (...) {
    cout << endl << "Unknown Exception" << endl;
    XMLPlatformUtils::Terminate();
    return 1;
  }

  XMLPlatformUtils::Terminate();

  return retCode;
}
